View Issue Details

Category
SSPBT:本体(SSP)
SeveritymajorReproducibilityalways 
Status closed 
Fixed in Version2.5 (リリース) 
Summary0000300: Checkonly updates always return 'executing' error
Description

I didn't realize this until now since I keep auto-updates on my ghosts off, but since 2.5.26, all ![updatebymyself,checkonly] tags fail and return the error 'executing', even immediately after restarting SSP. A normal update tag works fine.

TagsNo tags attached.
Attach Tags

Activities

ponapalt

2021-10-03 13:09

administrator   ~0000755

I can't reproduce this problem, but "checkonly" is not harmful, so I'll unlock double-executing lock.

guest

2021-10-03 17:26

reporter   ~0000756

Hmm... I've looked a little more into it, and realized that the ghost that is having the 'executing' error every time is the only one of my ghosts that also performs a checkonly update for the shell and balloon after checking for ghost updates. That probably is a part of it as well. (This is the ghost in question: https://zichqec.github.io/s-the-skeleton/flux )
I tested with some of my other ghosts, and they seem to give the 'executing' error the first time I try a checkonly update after booting them, and then it works normally after that. It's very strange that they give an executing error before they've done any other checks at all.

guest

2021-10-05 13:55

reporter   ~0000759

I've discovered something else, I'm not sure if it's of importance here or not. When my checkonly updates fail, OnUpdateFailure fires instead of OnUpdateCheckFailure. This explains why my ghosts are displaying error messages unexpectedly...

image.png (15,093 bytes)   
image.png (15,093 bytes)   

ponapalt

2021-10-06 08:14

administrator   ~0000770

2.5.34

Issue History

Date Modified Username Field Change
2021-10-02 01:32 guest New Issue
2021-10-03 13:09 ponapalt Assigned To => ponapalt
2021-10-03 13:09 ponapalt Status new => confirmed
2021-10-03 13:09 ponapalt Note Added: 0000755
2021-10-03 17:26 guest Note Added: 0000756
2021-10-05 13:55 guest Note Added: 0000759
2021-10-05 13:55 guest File Added: image.png
2021-10-06 08:14 ponapalt Status confirmed => closed
2021-10-06 08:14 ponapalt Resolution open => fixed
2021-10-06 08:14 ponapalt Fixed in Version => 2.5 (リリース)
2021-10-06 08:14 ponapalt Note Added: 0000770